# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.index_api import IndexApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestIndexApi(unittest.TestCase):
    """IndexApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.index_api.IndexApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_index_get(self):
        """Test case for index_get

        """
        pass

    def test_index_index_field_aliases_delete_by_id(self):
        """Test case for index_index_field_aliases_delete_by_id

        """
        pass

    def test_index_index_field_aliases_get(self):
        """Test case for index_index_field_aliases_get

        """
        pass

    def test_index_index_field_aliases_get_by_id(self):
        """Test case for index_index_field_aliases_get_by_id

        """
        pass

    def test_index_index_field_aliases_patch_by_id(self):
        """Test case for index_index_field_aliases_patch_by_id

        """
        pass

    def test_index_index_field_aliases_post(self):
        """Test case for index_index_field_aliases_post

        """
        pass


if __name__ == '__main__':
    unittest.main()
